#ifndef BISON_PARSE_H
# define BISON_PARSE_H

#ifndef YYSTYPE
typedef union
{
  st_node * p_node;
} yystype;
# define YYSTYPE yystype
#endif
# define	CMD_REGISTER	257
# define	CMD_NEXT_REG	258
# define	CMD_NEXT_SEC	259
# define	CMD_DB	260
# define	CMD_DW	261
# define	CMD_DD	262
# define	CMD_JMP_NEXT_SEC	263
# define	CMD_JMP_SEC	264
# define	CMD_JMP_OFS	265
# define	CMD_JMP_OFS_SEC	266
# define	CMD_JMP_IND	267
# define	CMD_JMP_EQ	268
# define	CMD_JMP_NEQ	269
# define	CMD_JMP_GT	270
# define	CMD_JMP_NGT	271
# define	CMD_JMP_LT	272
# define	CMD_JMP_NLT	273
# define	CMD_JMP_GTS	274
# define	CMD_JMP_NGTS	275
# define	CMD_JMP_LTS	276
# define	CMD_JMP_NLTS	277
# define	CMD_JMP_AND_Z	278
# define	CMD_JMP_AND_NZ	279
# define	CMD_JMP_OR_M	280
# define	CMD_JMP_OR_NM	281
# define	CMD_MOV	282
# define	CMD_MOV2	283
# define	CMD_MOV4	284
# define	CMD_RD_I	285
# define	CMD_WR_I	286
# define	CMD_RD_S	287
# define	CMD_ADD	288
# define	CMD_ADDC	289
# define	CMD_SUB	290
# define	CMD_SUBB	291
# define	CMD_MUL	292
# define	CMD_MULS	293
# define	CMD_DIV	294
# define	CMD_DIVS	295
# define	CMD_AND	296
# define	CMD_OR	297
# define	CMD_XOR	298
# define	CMD_SHL	299
# define	CMD_SHR	300
# define	CMD_ROL	301
# define	CMD_ROR	302
# define	CMD_RD_PIX	303
# define	CMD_RD_OVP	304
# define	CMD_WR_PIX	305
# define	CMD_WR_OVP	306
# define	CMD_WR_PIX_LINE	307
# define	CMD_WR_OVP_LINE	308
# define	CMD_WR_PIX_QUART	309
# define	CMD_WR_OVP_QUART	310
# define	CMD_WR_PIX_CLR	311
# define	CMD_WR_OVP_CLR	312
# define	CMD_WR_PIX_SET	313
# define	CMD_WR_OVP_SET	314
# define	CMD_WR_PIX_BW	315
# define	CMD_WR_OVP_BW	316
# define	CMD_WR_PIX_SEL	317
# define	CMD_WR_OVP_SEL	318
# define	CMD_CP_BLK_PP	319
# define	CMD_CP_BLK_PO	320
# define	CMD_CP_BLK_OP	321
# define	CMD_CP_BLK_OO	322
# define	CMD_CP_BLK_PP_TR	323
# define	CMD_CP_BLK_PO_TR	324
# define	CMD_CP_BLK_OP_TR	325
# define	CMD_CP_BLK_OO_TR	326
# define	CMD_DISPLAY	327
# define	CMD_DISPLAY_CP	328
# define	CMD_DELAY_DO	329
# define	CMD_DELAY_START	330
# define	CMD_DELAY_CHECK	331
# define	CMD_DELAY_WAIT	332
# define	CMD_GET_KEYS	333
# define	CMD_GET_SNES0	334
# define	CMD_GET_SNES1	335
# define	CMD_GET_TIME	336
# define	CMD_SET_TIME	337
# define	CMD_NOP	338
# define	LABEL_CON	339
# define	IDENT_CON	340
# define	LABEL_REG	341
# define	IDENT_REG	342
# define	LABEL_ADDR	343
# define	IDENT_ADDR	344
# define	NUMBER	345
# define	CHAR	346
# define	STRING	347
# define	LBRA	348
# define	RBRA	349
# define	NOT	350
# define	MUL	351
# define	DIV	352
# define	MOD	353
# define	ADD	354
# define	SUB	355
# define	SHL	356
# define	SHR	357
# define	AND	358
# define	XOR	359
# define	OR	360
# define	SEC	361
# define	OFS	362
# define	REG	363
# define	COMMA	364
# define	SEM	365
# define	COMMENT	366
# define	UNKNOWN	367


extern YYSTYPE yylval;

#endif /* not BISON_PARSE_H */
